Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.threeD.raytracer.textures
Class TextureFactory

    java.lang.Object
      net.sf.j3d.threeD.raytracer.util.EditableFactory
          net.sf.j3d.threeD.raytracer.textures.TextureFactory

    public class TextureFactory

extends EditableFactory

The TextureFactory class provides static methods for constructing Texture objects.

Field Summary
`static int` | `imageTexture`
`static int` | `stripeTexture`

Constructor Summary
`TextureFactory()`

Method Summary
`Editable` | `constructObject(int index)` Constructs a Shader object of the type specified by the integer index.
`String[]` | `getTypeNames()` Returns an array of String objects containing names for each type of Texture object this TextureFactory can construct.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stripeTexture

    public static final int stripeTexture

See Also:
  Constant Field Values

### imageTexture

    public static final int imageTexture

See Also:
  Constant Field Values

Constructor Detail

### TextureFactory

    public TextureFactory()

Method Detail

### getTypeNames

    public String[] getTypeNames()

  Returns an array of String objects containing names for each type of Texture object this TextureFactory can construct.

  Specified by:
    `getTypeNames` in class `EditableFactory`

### constructObject

    public Editable constructObject(int index)

  Constructs a Shader object of the type specified by the integer index.

  Specified by:
    `constructObject` in class `EditableFactory`
  Throws:
    `IndexOutOfBoundsException` - If the specified index is out of bounds.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD